模型链排序值重复

Moses Skoda工程师预计阅读 1 分钟

出现此问题时,API 会返回 422 Unprocessable Content。其 type 为 https://lingo.dev/docs/api/errors/model-chain-rank-repeated。所有错误的通用结构请参阅错误和状态码。

<sourceLocale>→<targetLocale> 模型链中的排序值 2 被重复使用。请为链中的每个模型配置指定不同的排序值。

字段#

除标准成员 type、status、title 和 detail 外,响应体还包含以下字段。detail 文本根据这些字段生成,客户端也可以改为显示自定义文本。

字段类型
sourceLocalestring
targetLocalestring
rankinteger

示例#

json
{
  "detail": "The <sourceLocale>→<targetLocale> model chain uses rank 2 more than once. Give each model config in a chain its own rank.",
  "sourceLocale": "<sourceLocale>",
  "targetLocale": "<targetLocale>",
  "rank": 2,
  "type": "https://lingo.dev/docs/api/errors/model-chain-rank-repeated",
  "status": 422,
  "title": "Model chain rank repeated"
}

返回此错误的端点#

  • POST /v2/organizations/{orgId}/engines
  • POST /v2/organizations/{orgId}/provisioning/jobs